// MM_HOLD.H
//
// Author:  Nickolay Golubev
// Contact: 2nike@mail.ru
// Version: 0.01
// Updated: 19.09.2003
// 


#if !defined(__MM_HOLD_H__)
#define __MM_HOLD_H__

#if !defined(__E32BASE_H__)
#include <E32BASE.H>
#endif

class CMmPtrHolder : public CBase
        {
public:
        IMPORT_C CMmPtrHolder();
        ~CMmPtrHolder();


protected:
        IMPORT_C virtual void ConstructL(TInt aSizeOfPtrArray, TInt aSizeOfPtrCArray);
        RArray<TPtr8> iPtrArray;
        RArray<TPtrC8> iPtrCArray;
        TPtr8& Ptr(TInt aIndex);
        TPtrC8& PtrC(TInt aIndex);
        };


class CMobilePhoneStorePtrHolder : public CMmPtrHolder
        {
public:
        static CMobilePhoneStorePtrHolder* NewL(TInt aSizeOfPtrArray, TInt aSizeOfPtrCArray);
        TInt iDeleteIndex;
        enum TPhoneStorePtrHolderSlots
                {
                ESlot1NotifyStoreEvent,
                ESlot2NotifyStoreEvent,
                EMaxNumberPhoneStorePtrSlots 
                };
        enum TPhoneStorePtrCHolderSlots
                {
                ESlot1Delete,
                EMaxNumberPhoneStorePtrCSlots
                };
        };

#endif
